/*
 * part of puzzle.java
 * see main class for copyright
 * bernd@komplett.cc
 */

import java.awt.*;
import java.applet.*;

class About extends Frame  {

	String Version, What, When;
	Font textFont = new Font("SansSerif", Font.PLAIN, 14);
	Font smallFont = new Font("SansSerif", Font.PLAIN, 12);
	Font titleFont = new Font("SansSerif", Font.PLAIN, 24);
	Dimension d;
	Button b,m;
	StatusBar sb; 
	Color myBlue  = new Color (0, 77, 156);
	Color myGray  = new Color (210, 210, 210);

public About(String what, String version, String when)  {
	What = what; When = when; Version = version;
	setTitle("About: "+What);
	sb = new StatusBar();
	setLayout(new BorderLayout());
	add("South", b=new Button("Thanks"));
	pack();
	validate();
 }
public void paint(Graphics g)  {
	d = size();
	g.setColor(myBlue);
	g.fillRect(0,0,d.width,d.height);
	g.setColor(myGray);
	g.fillRect(30, 0, d.width, d.height);
	g.setColor(Color.black);
	g.setFont(titleFont);
	g.drawString(What, 40, 65);
	g.setFont(textFont);
	g.drawString("This is Version "+Version, 30, 90);
	g.drawString("by bernd oeggl (bernd@komplett.cc)", 30, 110);
	g.setFont(smallFont);
	g.drawString(When, 30, 140);
	g.fillRect(40, 150, d.width-80, 10);
}

public boolean handleEvent(Event event) {
	if (event.id == Event.WINDOW_DESTROY) {
		dispose();
		return true;
	}
	return super.handleEvent(event);
}

public boolean action(Event evt, Object arg)  {
	if ("Thanks".equals(evt.arg))  {
		dispose();
		return true;
	}
	return true;
}

} // end of class About


class StatusBar extends Panel {
	private Label info;

public StatusBar()  {
	setLayout(new BorderLayout());
	add("South", info = new Label("status messages go here                                                       "));
}
public void showStatus(String status)  {
	info.setText(status);
}
} // end of class StatusBar

