/*
 * part of puzzle.java
 * see main class for copyright
 * bernd@komplett.cc
 */

import java.awt.*;
import java.applet.*;

class Result extends Frame  {

	Image imgRes;
	boolean grid = false;
	Button s,o;
	Panel p;
	ResultCanvas rCv;
	puzzle pz;

public Result(Image imgResult, puzzle puz)  {
	imgRes = imgResult;
	pz = puz;
	setBackground(Color.white);
	rCv = new ResultCanvas(this);
	setTitle("Result for your Puzzle");
	p = new Panel();
	p.setLayout(new GridLayout(0,2));
	p.setBackground(Color.gray);
	p.add(s = new Button("Show Grid"));
	p.add(o = new Button("OK"));
	add ("South", p);
	add ("Center", rCv);
}

public boolean handleEvent(Event event) {
	if (event.id == Event.WINDOW_DESTROY) {
		pz.resultButton.setLabel("Show Result");
		dispose();
		return true;
	}
	return super.handleEvent(event);
}


public boolean action(Event evt, Object arg)  {
	if ("OK".equals(evt.arg))  {
		pz.resultButton.setLabel("Show Result");
		dispose();
		return true;
	}
	if ("Show Grid".equals(evt.arg))  {
		grid = true;
		s.setLabel("No Grid");
		rCv.repaint();
		return true;
	}
	if ("No Grid".equals(evt.arg))  {
		grid = false;
		s.setLabel("Show Grid");
		rCv.repaint();
		return true;
	}
	return super.action(evt, arg);
}

} // end of class Result
