/*
 * part of puzzle.java
 * see main class for copyright
 * bernd@komplett.cc
 */

import java.awt.*;

public class ResultCanvas extends Canvas {

	Result rs;

public ResultCanvas(Result r) {
	rs = r;
}



public void paint(Graphics g)  {
	g.drawImage(rs.imgRes, 0, 0, this);
	if (rs.grid)  {
		g.setColor(Color.black);
		for (int i = 0; i < rs.pz.cols; i++)  {
			for (int j = 0; j < rs.pz.rows; j++)  {
				g.drawLine(j*rs.pz.imgSize[0],0,j*rs.pz.imgSize[0],
						rs.pz.cols*rs.pz.imgSize[1]+0);
			}
			g.drawLine(0,i*rs.pz.imgSize[1]+0,rs.pz.rows*rs.pz.imgSize[0],
					i*rs.pz.imgSize[1]+0);
		}
	}
}

}
