/*
 * part of puzzle.java
 * see main class for copyright
 * bernd@komplett.cc
 */

import java.awt.*;

public class PuzzleCanvas extends Canvas {

	private Image osImage;
	Graphics osGraphics;
	puzzle pz;
	Font titleFont = new Font("SansSerif", Font.PLAIN, 24);

public PuzzleCanvas(puzzle p, int w, int h) {
	pz = p;
	// setSize(w, h);
}

public void paint(Graphics g) {
	update(g);
}

public void update(Graphics g) {
	/* ---------------COMMENTS START HERE--------------- 
	if (!pz.mt.checkAll()) {
		Dimension d = size();
		Font titleFont = new Font("Courier", Font.BOLD, 12);
		g.clearRect(0, 0, d.width, d.height);
		g.setFont(titleFont);
		g.setColor(Color.red);
		g.drawString("please stand by -" , 10, 100);
		g.drawString("converting images" , 10, 140);
		g.setColor(Color.black);
	}
	else  -----------------COMMENTS END--------------------- */ 
	{
		if (osGraphics == null)  {
			Dimension d = size();
			osImage = createImage(d.width, d.height);
			osGraphics = osImage.getGraphics();
		}
		for (int i = 0; i < pz.cols; i++)  {
			for (int j = 0; j < pz.rows; j++)  {
				pz.xPos = j*pz.imgSize[0];
				pz.yPos = i*pz.imgSize[1];
				osGraphics.setColor(Color.black);
				osGraphics.drawImage(pz.img[i][j].getImage(),
						pz.xPos, pz.yPos, this);
				osGraphics.drawLine(j*pz.imgSize[0],0,j*pz.imgSize[0],
						pz.cols*pz.imgSize[1]);
			}
			osGraphics.drawLine(0,i*pz.imgSize[1],pz.rows*pz.imgSize[0],
					i*pz.imgSize[1]);
		}
		if (pz.move) {
			osGraphics.drawImage(pz.imgToDraw.getImage(), pz.X, pz.Y, this);
				osGraphics.clearRect(0,pz.cols*pz.imgSize[1],pz.aWidth,
				pz.aHeight-pz.cols*pz.imgSize[1]);
		// osGraphics.clearRect(pz.cols*pz.imgSize[1],0,pz.aWidth,
				// pz.aHeight);
		}
		if (pz.finished && pz.successRoot) {
			osGraphics.setColor(Color.red);
			osGraphics.setFont(titleFont);
			FontMetrics fmetrics=osGraphics.getFontMetrics();
			int x = fmetrics.stringWidth("Congratulations");
			int y = fmetrics.getHeight();
			osGraphics.clearRect(15, 140-y-10, x+10, y+20);
			osGraphics.drawString("Congratulations", 20, 140);
		}
		g.drawImage(osImage, 0, 0, this);
		// System.out.println("REPAINT now!");
	}
}


}
